﻿namespace Mirea.Api.Dto.Responses;

/// <summary>
/// Represents basic information about a group.
/// </summary>
public class GroupResponse
{
    /// <summary>
    /// Gets or sets the unique identifier of the group.
    /// </summary>
    public int Id { get; set; }

    /// <summary>
    /// Gets or sets the name of the group.
    /// </summary>
    public required string Name { get; set; }

    /// <summary>
    /// Gets or sets the unique identifier of the faculty to which the group belongs (optional).
    /// </summary>
    public int? FacultyId { get; set; }
}